import httpRequest from '@/utils/axios'

// 添加特征
export function createCharacteristic2(data) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.post('/api/opera/v2/training/characteristic', data, { headers })
}

// 添加特征
export function characteristic2(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get(`/api/opera/v2/training/${id}/characteristic`, { params }, { headers })
}

// 删除用户群特征
export function deleteCharacteristic2(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.delete(`/api/opera/v2/training/${id}/characteristic`, { params }, { headers })
}

// 删除用户群特征
export function upateCharacteristic2(id, data = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.put(`/api/opera/v2/training/${id}/characteristic`, data, { headers })
}

// 群特征列表
export function characteristics2List(params) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get('/api/opera/v2/training/characteristics', { params }, { headers })
}
