import httpRequest from '@/utils/axios'

// 添加特征
export function createReachScheme(data) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.post('/api/opera/v2/training/reach-scheme', data, { headers })
}

// 添加特征
export function ReachScheme(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get(`/api/opera/v2/training/${id}/reach-scheme`, { params }, { headers })
}

// 删除用户群特征
export function deleteReachScheme(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.delete(`/api/opera/v2/training/${id}/reach-scheme`, { params }, { headers })
}

// 删除用户群特征
export function upateReachScheme(id, data = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.put(`/api/opera/v2/training/${id}/reach-scheme`, data, { headers })
}

// 群特征列表
export function reachSchemeList(params) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get('/api/opera/v2/training/reach-schemes', { params }, { headers })
}
