import httpRequest from '@/utils/axios'

// 添加特征
export function createUserUseConfig(data) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.post('/api/opera/v2/training/user-use-config', data, { headers })
}

// 添加特征
export function UserUseConfig(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get(`/api/opera/v2/training/${id}/user-use-config`, { params }, { headers })
}

// 删除用户群特征
export function deleteUserUseConfig(id, params = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.delete(`/api/opera/v2/training/${id}/user-use-config`, { params }, { headers })
}

// 删除用户群特征
export function upateUserUseConfig(id, data = {}) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.put(`/api/opera/v2/training/${id}/user-use-config`, data, { headers })
}

// 群特征列表
export function userUseConfigList(params) {
  var headers = {
    'Content-Type': 'application/json'
  }
  return httpRequest.get('/api/opera/v2/training/user-use-configs', { params }, { headers })
}
